cascading.flow.planner.iso.finder

## Class Match

- java.lang.Object
- - cascading.flow.planner.iso.finder.Match

    public class Match
    extends java.lang.Object

### Field Summary

Fields
`protected EnumMultiMap<FlowElement>` `captureMap`
`protected ElementGraph` `elementGraph`
`protected java.util.Collection<FlowElement>` `foundElements`
`protected java.util.Collection<Scope>` `foundScopes`
`protected ExpressionGraph` `matchGraph`
`protected java.util.Map<ElementExpression,FlowElement>` `vertexMapping`

### Constructor Summary

Constructors
Constructor and Description
`Match(ExpressionGraph matchGraph, ElementGraph elementGraph, java.util.Map<ElementExpression,FlowElement> vertexMapping, java.util.Collection<FlowElement> foundElements, java.util.Collection<Scope> foundScopes)`
`Match(ExpressionGraph matchGraph, ElementGraph elementGraph, java.util.Map<ElementExpression,FlowElement> vertexMapping, java.util.Collection<FlowElement> foundElements, java.util.Collection<Scope> foundScopes, EnumMultiMap<FlowElement> captureMap)`

### Method Summary

Methods
`boolean` `foundMatch()`
`java.util.Set<FlowElement>` `getCapturedElements(ElementCapture... captures)`
`EnumMultiMap<FlowElement>` `getCaptureMap()`
`ElementGraph` `getElementGraph()`
`java.util.Collection<FlowElement>` `getFoundElements()`
`java.util.Set<FlowElement>` `getIncludedElements()`
`ElementSubGraph` `getMatchedGraph()`
`ExpressionGraph` `getMatchGraph()`
`java.util.Map<ElementExpression,FlowElement>` `getVertexMapping()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### matchGraph

    protected final ExpressionGraph matchGraph

#### elementGraph

    protected final ElementGraph elementGraph

#### vertexMapping

    protected final java.util.Map<ElementExpression,FlowElement> vertexMapping

#### foundElements

    protected final java.util.Collection<FlowElement> foundElements

#### foundScopes

    protected final java.util.Collection<Scope> foundScopes

#### captureMap

    protected EnumMultiMap<FlowElement> captureMap

### Constructor Detail

#### Match

    public Match(ExpressionGraph matchGraph,
         ElementGraph elementGraph,
         java.util.Map<ElementExpression,FlowElement> vertexMapping,
         java.util.Collection<FlowElement> foundElements,
         java.util.Collection<Scope> foundScopes)

#### Match

    public Match(ExpressionGraph matchGraph,
         ElementGraph elementGraph,
         java.util.Map<ElementExpression,FlowElement> vertexMapping,
         java.util.Collection<FlowElement> foundElements,
         java.util.Collection<Scope> foundScopes,
         EnumMultiMap<FlowElement> captureMap)

### Method Detail

#### getElementGraph

    public ElementGraph getElementGraph()

#### getMatchGraph

    public ExpressionGraph getMatchGraph()

#### foundMatch

    public boolean foundMatch()

#### getVertexMapping

    public java.util.Map<ElementExpression,FlowElement> getVertexMapping()

#### getFoundElements

    public java.util.Collection<FlowElement> getFoundElements()

#### getMatchedGraph

    public ElementSubGraph getMatchedGraph()

#### getIncludedElements

    public java.util.Set<FlowElement> getIncludedElements()

#### getCapturedElements

    public java.util.Set<FlowElement> getCapturedElements(ElementCapture... captures)

#### getCaptureMap

    public EnumMultiMap<FlowElement> getCaptureMap()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`